﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.InputSystem;

[System.Serializable]
public class PlayerData : ScriptableObject
{
    public static uint PlayerCount;

    public uint ID { get; private set; }
    public Color Color { get; private set; }
    public UnityEngine.InputSystem.PlayerInput Input { get; private set; }

    public static PlayerData  Initialise(uint ID, Color color, UnityEngine.InputSystem.PlayerInput input)
    {
        PlayerData data = ScriptableObject.CreateInstance<PlayerData>();
        data.Color = color;
        data.ID = ID;
        data.Input = input;

        return data;
    }







}
